glibmm: Gio::SettingsSchemaSource Class Reference

glibmm 2.53.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::SettingsSchemaSource Class Referencefinal

See SettingsSchema. More...

`#include <giomm/settingsschemasource.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GSettingsSchemaSource* | gobj ()
| Provides access to the underlying C instance. More...
const GSettingsSchemaSource* | gobj () const
| Provides access to the underlying C instance. More...
GSettingsSchemaSource* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| SettingsSchemaSource ()=delete
| SettingsSchemaSource (const SettingsSchemaSource&)=delete
SettingsSchemaSource& | operator= (const SettingsSchemaSource&)=delete
Glib::RefPtr< SettingsSchema > | lookup (const Glib::ustring& schema_id, bool recursive)
| Looks up a schema with the identifier schema_id in source. More...
Glib::RefPtr< const SettingsSchema > | lookup (const Glib::ustring& schema_id, bool recursive) const
| Looks up a schema with the identifier schema_id in source. More...

## Static Public Member Functions
static Glib::RefPtr< SettingsSchemaSource > | get_default ()
| Gets the default system schema source. More...

## Protected Member Functions
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::SettingsSchemaSource > | wrap (GSettingsSchemaSource* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

See SettingsSchema.

Since glibmm 2.32:

## Constructor & Destructor Documentation

Gio::SettingsSchemaSource::SettingsSchemaSource | ( |  | ) |
| delete

Gio::SettingsSchemaSource::SettingsSchemaSource | ( | const SettingsSchemaSource& |  | ) |
| delete

## Member Function Documentation

static Glib::RefPtr<SettingsSchemaSource> Gio::SettingsSchemaSource::get_default | ( |  | ) |
| static

Gets the default system schema source.

This function is not required for normal uses of Settings but it may be useful to authors of plugin management systems or to those who want to introspect the content of schemas.

If no schemas are installed, `nullptr` will be returned.

The returned source may actually consist of multiple schema sources from different directories, depending on which directories were given in `XDG_DATA_DIRS` and `GSETTINGS_SCHEMA_DIR`. For this reason, all lookups performed against the default source should probably be done recursively.

Since glibmm 2.32:

Returns
  The default schema source.

GSettingsSchemaSource* Gio::SettingsSchemaSource::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GSettingsSchemaSource* Gio::SettingsSchemaSource::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GSettingsSchemaSource* Gio::SettingsSchemaSource::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<SettingsSchema> Gio::SettingsSchemaSource::lookup | ( | const Glib::ustring& | schema_id,
|  | bool | recursive
| ) |  |

Looks up a schema with the identifier schema_id in source.

This function is not required for normal uses of Settings but it may be useful to authors of plugin management systems or to those who want to introspect the content of schemas.

If the schema isn't found directly in source and recursive is `true` then the parent sources will also be checked.

If the schema isn't found, `nullptr` is returned.

Since glibmm 2.32:

Parameters

  schema_id | A schema ID.
  recursive | `true` if the lookup should be recursive.

Returns
  A new SettingsSchema.

Glib::RefPtr<const SettingsSchema> Gio::SettingsSchemaSource::lookup | ( | const Glib::ustring& | schema_id,
|  | bool | recursive
| ) |  | const

Looks up a schema with the identifier schema_id in source.

This function is not required for normal uses of Settings but it may be useful to authors of plugin management systems or to those who want to introspect the content of schemas.

If the schema isn't found directly in source and recursive is `true` then the parent sources will also be checked.

If the schema isn't found, `nullptr` is returned.

Since glibmm 2.32:

Parameters

  schema_id | A schema ID.
  recursive | `true` if the lookup should be recursive.

Returns
  A new SettingsSchema.

void Gio::SettingsSchemaSource::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

SettingsSchemaSource& Gio::SettingsSchemaSource::operator= | ( | const SettingsSchemaSource& |  | ) |
| delete

void Gio::SettingsSchemaSource::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::SettingsSchemaSource::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SettingsSchemaSource > wrap | ( | GSettingsSchemaSource * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.